

#include <iostream>
#include <iomanip>


using namespace std;


const uint8_t headerData[29] = {
	'E', 'J', 'E', 'M', 'P', 'L', 'O', 0x00, 0x00, 0x00, 0x00, 0x00,      // game title

	'A', 'E', 'J', 'S',        // game code 'A' + two characters + 'S' (for spanish)

	'0', '1',            // make code

	0x96,                // fixed value

	0x00,                // GBA

	0x00,                // device type

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,          // reserved

	0x00                 // software version
};


int main() {
	int32_t chk = 0;
	for (int i = 0; i < 29; i++)
		chk = chk - headerData[i];
	chk = (chk - 0x19) & 0xFF;
	cout << hex << setw(2) << setfill('0') << chk << endl;
    return 0;
}

