

#include <stdint.h>
#include "Ana.H"


using namespace std;
using namespace avelino;


#define  DISPCNT         *((volatile uint16_t *) 0x04000000)
#define  MODE3_VRAM_FB    ((uint16_t *) 0x06000000)


void memcpy16(uint16_t *dest, const uint16_t *source, uint32_t size) {
	uint16_t *s = (uint16_t *) source;
	while (size > 0) {
		*dest = *s;
		s++;
		dest++;
		size--;
	}
}


int main() {
	// force blank to access VRAM
	DISPCNT = ((uint16_t) 1) << 7;
	// draw on framebuffer
	memcpy16(MODE3_VRAM_FB, ANA, 240 * 160);
	// enable mode 3 with background layer 2
	DISPCNT = ((uint16_t) 3) | (((uint16_t) 1) << 10);
	while (true)
		;
}
